Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		polylib
#Epoch:		0
Version:	5.22.3
Release:	1
License:	GNU/GPL	
URL:		http://icps.u-strasbg.fr/PolyLib/#info
Group:		System/Libraries
Summary:	polyhedral function library
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: gmp-devel

%description
The Polyhedral Library (PolyLib for short) operates on objects made up of unions of polyhedra of any dimension. It was first developed by Doran Wilde at IRISA, in Rennes, France, in connection with the ALPHA project. This first version (1.1) manipulates non parameterized unions of polyhedra through the following operations: intersection, difference, union, convex hull, simplify, image and preimage, plus some input and output functions. The polyhedra are computed in their dual implicit and Minkowski representations, in homogeneous spaces.

%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug \
--with-libgmp

# don`t build in parallel, as it breaks compilation
make 

# test the library
make tests

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_pkgconfig}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Apr 22 2009 Karsten Brockmann <arcam@ccux-linux.de> 5.22.3-1
- initial CCux package release
